Package org.kie.internal.task.api

## Interface AuditTask

-     public interface AuditTask

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Date` | `getActivationTime()` |
    `java.lang.String` | `getActualOwner()` |
    `java.lang.String` | `getCreatedBy()` |
    `java.util.Date` | `getCreatedOn()` |
    `java.lang.String` | `getDeploymentId()` |
    `java.lang.String` | `getDescription()` |
    `java.util.Date` | `getDueDate()` |
    `java.lang.String` | `getName()` |
    `long` | `getParentId()` |
    `int` | `getPriority()` |
    `java.lang.String` | `getProcessId()` |
    `long` | `getProcessInstanceId()` |
    `long` | `getProcessSessionId()` |
    `java.lang.String` | `getStatus()` |
    `long` | `getTaskId()` |
    `long` | `getWorkItemId()` |
    `void` | `setActivationTime​(java.util.Date activationTime)` |
    `void` | `setActualOwner​(java.lang.String actualOwner)` |
    `void` | `setCreatedBy​(java.lang.String createdBy)` |
    `void` | `setCreatedOn​(java.util.Date createdOn)` |
    `void` | `setDeploymentId​(java.lang.String deploymentId)` |
    `void` | `setDescription​(java.lang.String description)` |
    `void` | `setDueDate​(java.util.Date dueDate)` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setParentId​(long parentId)` |
    `void` | `setPriority​(int priority)` |
    `void` | `setProcessId​(java.lang.String processId)` |
    `void` | `setProcessInstanceId​(java.lang.String processInstanceId)` |
    `void` | `setProcessSessionId​(long processSessionId)` |
    `void` | `setStatus​(java.lang.String status)` |
    `void` | `setTaskId​(long taskId)` |
    `void` | `setWorkItemId​(long workItemId)` |

- - ### Method Detail

    - #### getTaskId

          long getTaskId()

    - #### setTaskId

          void setTaskId​(long taskId)

    - #### getStatus

          java.lang.String getStatus()

    - #### setStatus

          void setStatus​(java.lang.String status)

    - #### getActivationTime

          java.util.Date getActivationTime()

    - #### setActivationTime

          void setActivationTime​(java.util.Date activationTime)

    - #### getName

          java.lang.String getName()

    - #### setName

          void setName​(java.lang.String name)

    - #### getDescription

          java.lang.String getDescription()

    - #### setDescription

          void setDescription​(java.lang.String description)

    - #### getPriority

          int getPriority()

    - #### setPriority

          void setPriority​(int priority)

    - #### getCreatedBy

          java.lang.String getCreatedBy()

    - #### setCreatedBy

          void setCreatedBy​(java.lang.String createdBy)

    - #### getCreatedOn

          java.util.Date getCreatedOn()

    - #### setCreatedOn

          void setCreatedOn​(java.util.Date createdOn)

    - #### getDueDate

          java.util.Date getDueDate()

    - #### setDueDate

          void setDueDate​(java.util.Date dueDate)

    - #### getProcessInstanceId

          long getProcessInstanceId()

    - #### setProcessInstanceId

          void setProcessInstanceId​(java.lang.String processInstanceId)

    - #### getProcessId

          java.lang.String getProcessId()

    - #### setProcessId

          void setProcessId​(java.lang.String processId)

    - #### getProcessSessionId

          long getProcessSessionId()

    - #### setProcessSessionId

          void setProcessSessionId​(long processSessionId)

    - #### getParentId

          long getParentId()

    - #### setParentId

          void setParentId​(long parentId)

    - #### getActualOwner

          java.lang.String getActualOwner()

    - #### setActualOwner

          void setActualOwner​(java.lang.String actualOwner)

    - #### getDeploymentId

          java.lang.String getDeploymentId()

    - #### setDeploymentId

          void setDeploymentId​(java.lang.String deploymentId)

    - #### getWorkItemId

          long getWorkItemId()

    - #### setWorkItemId

          void setWorkItemId​(long workItemId)